Guid.IID (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Guid, class: IID

Package com.sun.jna.platform.win32

# Class Guid.IID

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Guid.GUID
com.sun.jna.platform.win32.Guid.IID

Enclosing interface:
  Guid

public static class Guid.IID extends Guid.GUID
The Class IID.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Guid.GUID

  `Guid.GUID.ByReference, Guid.GUID.ByValue`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.Guid.GUID

  `Data1, Data2, Data3, Data4`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IID()`
  Instantiates a new iid.
  `IID(byte[] data)`
  Instantiates a new iid.
  `IID(Guid.GUID guid)`
  `IID(Pointer memory)`
  Instantiates a new iid.
  `IID(String iid)`
  Instantiates a new iid.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.Guid.GUID

  `equals, fromBinary, fromString, hashCode, newGuid, toByteArray, toGuidString, writeFieldsToMemory`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IID

    public IID()
    Instantiates a new iid.

  - ### IID

    public IID(Pointer memory)
    Instantiates a new iid.
    Parameters:
      `memory` - the memory

  - ### IID

    public IID(String iid)
    Instantiates a new iid.
    Parameters:
      `iid` - the iid

  - ### IID

    public IID(byte[] data)
    Instantiates a new iid.
    Parameters:
      `data` - the data

  - ### IID

    public IID(Guid.GUID guid)